Main Page Namespace List Compound List File List Namespace Members Compound Members

# nFANTOM100::iModuleIterator Class Reference

Interface to an iterator for firmware modules on a LEGO MINDSTORMS NXT. More...

`#include <iModuleIterator.h>`

List of all members.

## Public Methods
virtual iModule * | getModule (tStatus &status)=0
| Creates a module object for the module referenced by this iterator. More...
virtual void | advance (tStatus &status)=0
| Advances this iterator. More...
virtual void | getName (ViChar moduleName[], tStatus &status)=0
| Retrieves the name of the module to which this iterator refers. More...
## Protected Methods
virtual | ~iModuleIterator ()=0
| Destructor.
## Friends
class | tNXT

## Detailed Description

Interface to an iterator for firmware modules on a LEGO MINDSTORMS NXT.

## Member Function Documentation

virtual void nFANTOM100::iModuleIterator::advance | ( | tStatus & | status | ) | `[pure virtual]`

  | Advances this iterator. Advances this iterator to the next module that matches the previously specified module name pattern. If no more modules match, this iterator is advanced to the end of the list. The iterator is not advanced if the specified status is fatal. If this iterator is already at the end of the list, a fatal status will be generated. Parameters:
  status | Status chaining object.

virtual iModule* nFANTOM100::iModuleIterator::getModule | ( | tStatus & | status | ) | `[pure virtual]`

  | Creates a module object for the module referenced by this iterator. Creates a module object for the module referenced by this iterator. An object is not created if the specified status is fatal or if this iterator refers to the end of the list. The returned module object should be destroyed using the iNXT::destroyModule method. Parameters:
  status | Status chaining object.
Returns: A pointer to the iModule object that was created.

virtual void nFANTOM100::iModuleIterator::getName | ( | ViChar | moduleName[],
|  | tStatus & | status
| ) | `[pure virtual]`

  | Retrieves the name of the module to which this iterator refers. Parameters:
  moduleName | Populated with the name of the module to which this iterator refers. The module name character array must be able to accomodate a NULL-terminated, 15.3 formatted module name. This is, it must have a capacity of 20 bytes.
  status | Status chaining object.

The documentation for this class was generated from the following file:

- iModuleIterator.h

© Copyright 2005-2006, National Instruments Corporation. All rights reserved.